/* tslint:disable */
/* eslint-disable */
/**
* Initialize the library
*/
export function init_x12_translate_wasm(): void;
/**
* Formats the given `edi` string into lines, separated by the segment delimiter.
*
* # Exceptions
*
* A call will throw a JS Error IFF it panicked.
* @param {string} x12
* @returns {string}
*/
export function format(x12: string): string;
/**
* Extracts metadata from the given edi file.
*
* # Exceptions
*
* A call will throw a JS Error IFF it panicked.
* @param {string} x12
* @returns {MetadataResult}
*/
export function metadata(x12: string): MetadataResult;
/**
* Generate a 997 acknowledgment for the given edi file.
* @param {string} x12
* @param {string} isa_control_number
* @param {string} gs_control_number
* @returns {string | undefined}
*/
export function ack(x12: string, isa_control_number: string, gs_control_number: string): string | undefined;
/**
*/
export enum Standard {
  X12,
}
export interface Span {
    start: number;
    end: number;
}

export interface Delimiters {
    segment: string;
    element: string;
    composite: string;
    repetition: string;
}

export interface MetadataResult {
    interchanges: Interchange[];
}

export interface Interchange {
    senderQualifier?: string;
    senderId?: string;
    receiverQualifier?: string;
    receiverId?: string;
    controlNumber?: number;
    standard: Standard;
    span: Span;
    delimiters: Delimiters | null;
    functionalGroups: FunctionalGroup[];
}

export interface FunctionalGroup {
    functionalIdentifierCode?: string;
    applicationSenderCode?: string;
    applicationReceiverCode?: string;
    controlNumber?: number;
    release?: string;
    span: Span;
    transactionSets: TransactionSet[];
}

export interface TransactionSet {
    id?: string;
    controlNumber?: number;
    span: Span;
}

